> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a money transaction

> Change the internal note of a money transaction, or approve or cancel a pending money transaction paid externally. A user needs the Billing permission in the transaction's location. <h3>OAuth</h3>Required scopes: <code>transactions</code>



## OpenAPI

````yaml /assets/openapi.json patch /transactions/money/v1/{transactionId}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /transactions/money/v1/{transactionId}:
    patch:
      tags:
        - Transactions
      summary: Update a money transaction
      description: >-
        Change the internal note of a money transaction, or approve or cancel a
        pending money transaction paid externally. A user needs the Billing
        permission in the transaction's location. <h3>OAuth</h3>Required scopes:
        <code>transactions</code>
      operationId: patchMoneyTransaction
      parameters:
        - in: path
          name: transactionId
          required: true
          description: The id of the transaction.
          schema:
            type: string
            format: uuid
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/patchMoneyTransaction'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - transactions
components:
  requestBodies:
    patchMoneyTransaction:
      content:
        application/json:
          schema:
            type: object
            properties:
              transaction:
                type: object
                properties:
                  internalNote:
                    description: >-
                      Note about the payment that only administrators see, such
                      as how an external payment was collected. Can be changed
                      on any money transaction. An empty string clears it.
                    type: string
                    maxLength: 5000
                  status:
                    description: >-
                      New status of the pending external payment: `succeeded`
                      approves it, `canceled` rejects it. Only a pending
                      external payment can change its status.
                    type: string
                    enum:
                      - canceled
                      - succeeded
                description: Transaction fields to update.
            required:
              - transaction
      required: true
  schemas:
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/developer/api/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/developer/api/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://oauth2.spacebring.com/api/oauth2/authorize
          tokenUrl: https://oauth2.spacebring.com/api/oauth2/token
          refreshUrl: https://oauth2.spacebring.com/api/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            campaigns.readonly: Read campaigns
            campaigns: Read and write campaigns
            checkIns.readonly: Read check-ins
            checkIns: Read and write check-ins
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            deliveries.readonly: Read deliveries
            deliveries: Read and write deliveries
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.